Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
BulletContactCallbackData Class Reference
Inheritance diagram for BulletContactCallbackData:

## Public Member Functions
| BulletContactCallbackData (BulletManifoldPoint &mp, PandaNode *node0, PandaNode *node1, int id0, int id1, int index0, int index1)
virtual TypeHandle | force_init_type ()
int | get_index0 () const
int | get_index1 () const
BulletManifoldPoint & | get_manifold () const
PandaNode * | get_node0 () const
PandaNode * | get_node1 () const
int | get_part_id0 () const
int | get_part_id1 () const
virtual TypeHandle | get_type () const
Public Member Functions inherited from CallbackData
virtual void | output (std::ostream &out) const
virtual void | upcall ()
| You should make this call during the callback if you want to continue the normal function that would have been done in the absence of a callback.
Public Member Functions inherited from TypedObject
| TypedObject (const TypedObject &copy)=default
TypedObject * | as_typed_object ()
| Returns the object, upcast (if necessary) to a TypedObject pointer.
const TypedObject * | as_typed_object () const
| Returns the object, upcast (if necessary) to a TypedObject pointer.
int | get_best_parent_from_Set (const std::set< int > &) const
int | get_type_index () const
| Returns the internal index number associated with this object's TypeHandle, a unique number for each different type.
bool | is_exact_type (TypeHandle handle) const
| Returns true if the current object is the indicated type exactly.
bool | is_of_type (TypeHandle handle) const
| Returns true if the current object is or derives from the indicated type.
TypedObject & | operator= (const TypedObject &copy)=default
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Static Public Member Functions
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from CallbackData
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from TypedObject
static TypeHandle | get_class_type ()
static void | init_type ()
| This function is declared non-inline to work around a compiler bug in g++ 2.96.

## Public Attributes
| get_index0
| get_index1
| get_manifold
| get_node0
| get_node1
| get_part_id0
| get_part_id1
Public Attributes inherited from TypedObject
| get_type

## Detailed Description

Definition at line 28 of file bulletContactCallbackData.h.

## Constructor & Destructor Documentation

## ◆ BulletContactCallbackData()

BulletContactCallbackData::BulletContactCallbackData | ( | BulletManifoldPoint & | mp,
|  | PandaNode * | node0,
|  | PandaNode * | node1,
|  | int | id0,
|  | int | id1,
|  | int | index0,
|  | int | index1 )
| inline

Definition at line 17 of file bulletContactCallbackData.I.

## Member Function Documentation

## ◆ force_init_type()

virtual TypeHandle BulletContactCallbackData::force_init_type | ( |  | ) |
| inline virtual

Reimplemented from CallbackData.

Definition at line 73 of file bulletContactCallbackData.h.

## ◆ get_class_type()

static TypeHandle BulletContactCallbackData::get_class_type | ( |  | ) |
| inline static

Definition at line 62 of file bulletContactCallbackData.h.

## ◆ get_type()

virtual TypeHandle BulletContactCallbackData::get_type | ( |  | ) | const
| inline virtual

Reimplemented from CallbackData.

Definition at line 70 of file bulletContactCallbackData.h.

## ◆ init_type()

static void BulletContactCallbackData::init_type | ( |  | ) |
| inline static

Definition at line 65 of file bulletContactCallbackData.h.

## Member Data Documentation

## ◆ get_index0

int BulletContactCallbackData::get_index0
| inline

Definition at line 49 of file bulletContactCallbackData.h.

## ◆ get_index1

int BulletContactCallbackData::get_index1
| inline

Definition at line 50 of file bulletContactCallbackData.h.

## ◆ get_manifold

BulletManifoldPoint & BulletContactCallbackData::get_manifold
| inline

Definition at line 44 of file bulletContactCallbackData.h.

## ◆ get_node0

PandaNode * BulletContactCallbackData::get_node0
| inline

Definition at line 45 of file bulletContactCallbackData.h.

## ◆ get_node1

PandaNode * BulletContactCallbackData::get_node1
| inline

Definition at line 46 of file bulletContactCallbackData.h.

## ◆ get_part_id0

int BulletContactCallbackData::get_part_id0
| inline

Definition at line 47 of file bulletContactCallbackData.h.

## ◆ get_part_id1

int BulletContactCallbackData::get_part_id1
| inline

Definition at line 48 of file bulletContactCallbackData.h.

The documentation for this class was generated from the following files:

- panda/src/bullet/bulletContactCallbackData.h
- panda/src/bullet/bulletContactCallbackData.cxx
- panda/src/bullet/bulletContactCallbackData.I